sugar-calculate-activity (45-1) unstable; urgency=medium

  [ upstream ]
  * New release.
    + Regenerate POT file.
    + New translations.
    + Port from exec to importlib.
    + Fix flake8 errors and warnings.
    + Fix Gtk-CRITICAL error gtk_toolbar_remove.
    + Port Telepathy static binding to PyGObject binding.
    + Add README source repository documentation.
    + Fix typo and unify docstrongs.
    + Add .gitgnore and change metadata.
    + Use named arguments for translatable strings.
    + Add a screenshot.

  [ Jonas Smedegaard ]
  * Simplify rules.
  * Stop build-depend on dh-buildinfo.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* URLs: Maintenance moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Depend on gir1.2-telepathyglib-0.12 (not python-telepathy).
  * Update watch file: Rewrite usage comment.
  * Update copyright info:
    + Use https protocol in alternate Source URL.
    + Strip superfluous copyright signs.
    + Extend coverage of packaging.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Mar 2019 20:55:37 +0100

sugar-calculate-activity (44-3) unstable; urgency=medium

  * Fix stop depend on python-rsvg (unused since upstream release 44).
    Closes: Bug#790156. Thanks to Emilio Pozuelo Monfort and James
    Cameron.
  * Modernize Vcs-* fields: Consistently use .git suffix.
  * Declare compliance with Debian Policy 4.1.1.
  * Update watch file: Use substitution strings.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Oct 2017 10:26:43 +0200

sugar-calculate-activity (44-2) unstable; urgency=medium

  * Fix Vcs-Git path.
  * Tighten lintian overrides regarding License-Reference.
  * Update watch file:
    + Bump format version.
    + Mention gbp --uscan in usage comment.
    + Tighten version regex.
  * Update git-buildpackage config: Filter any .git* files.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 29 Aug 2017 17:57:08 +0200

sugar-calculate-activity (44-1) unstable; urgency=medium

  [ upstream ]
    + License changes.
    + Remove suspicious code.
    + Remove deprecated MANIFEST.
    + New and updated translations.
    + Remove insignificant zeros in result.
    + Fix missing sign of result less than zero.
    + Block redefinition of constants.
    + Port to GTK+ 3.

  [ Jonas Smedegaard ]
  * Modernize cdbs:
    + Drop upstream-tarball hints: Use gbp import-orig --uscan.
    + Do copyright-check in maintainer script (not during build).
  * Modernize Vcs-* fields:
    + Use https protocol.
    + Use git (not cgit) in path.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info:
    + Use https protocol in file format URL.
    + Extend coverage for myself.
  * Drop obsolete lintian override regarding debhelper 9.
  * Update package relations:
    + (Build-)depend on python-sugar3 (not python-sugar or
      python-sugar-toolkit-*).
    + Depend on python-gir and some GIR bindings, instead of some Python
      libraries.
    + Stop suggest sugar-session.
  * Fix rename locales aym→ay ibo→ig: ISO 639-1 favored over ISO 639-2.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Aug 2017 23:11:07 +0200

sugar-calculate-activity (43-3) unstable; urgency=medium

  * Update copyright info:
    + Update URLs to reflect new Github home.
    + Extend coverage for Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Dec 2016 20:06:31 +0100

sugar-calculate-activity (43-2) unstable; urgency=medium

  * Update package relations:
    + Fix suppress build-dependency on python-dev.
    + (Build-)depend on unbranched Glucose (i.e. core libraries).
  * Bump debhelper compatibility level to 9.
  * Add lintian override regarding debhelper 9.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 27 Jun 2015 13:05:24 -0500

sugar-calculate-activity (43-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update alternate git source URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jun 2015 12:35:30 -0500

sugar-calculate-activity (40-3) unstable; urgency=medium

  * Modernize short and long description.
  * Update Homepage.
  * Declare compliance with Debian Policy 3.9.6.
  * Move packaging to Debian Sugar Team.
  * Sort package relations fields.
  * Drop ${shlibs:Depends}: superfluous for arch-all.
  * Update copyright info:
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Extend coverage for myself, and relicense packaging as GPL-3+.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Rewrite README.source to emphasize that control.in file is *not* a
    show-stopper for contributions, and refer to wiki page for details.
  * Bump dephelper compatibility level to 8.
  * Update package relations:
    + Drop fallback-dependencies for python-rsvg: Available even in
      oldstable.
    + Make build-dependency suppression future-compatible with cdbs 0.5.
    + Bump primary Sugar branch to 0.98.
    + Relax to build-depend unversioned on python: Needed version
      satisfied even in oldstable.
    + Relax slightly build-dependency on cdbs.
    + Fix explicitly depend on python.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 18 Jun 2015 11:52:15 -0500

sugar-calculate-activity (40-2) unstable; urgency=low

  * Fix stop depending on unused sugar-presence-service.
  * Suggest sugar-session.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 20:35:21 +0200

sugar-calculate-activity (40-1) unstable; urgency=low

  * New upstream release.

  [ Holger Levsen ]
  * Remove myself from uploaders. 

  [ Jonas Smedegaard ]
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Revert apply patch to source in Git (and just drop it, as it is now
    fixed upstream).
  * Drop build-dependencies on quilt and patchutils.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir.
  * Shorten Vcs-Git, and use anonscm.debian.org for Vcs-Browser.
  * Append _DEFAULT to deprecated CDBS variables in rules file.
  * Update package relations:
    + Tighten build-dependency on cdbs and python: Needed for python2
      helper.
    + Stop build-depending on python-central: No longer used.
    + Relax build-depend unversioned on debhelper and devscripts: Needed
      versions satisfied even in oldstable.
    + Suppress unneeded auto-resolved build-dependency on python-dev.
  * Bump debhelper compatibility level to 7.
  * Bump standards-version to 3.9.3.
  * Use Python helper python2 (not python-central).
  * Refer to FSF website (not postal address) in licensing header of
    rules file.
  * Extend copyright of Debian packaging to cover recent years.
  * Rewrite copyright file using format 1.0.
  * Set 0.88 as default branch (and drop branch list): Works on all
    (currently packaged) Sugar branches.
  * Modernize long description, based on upstream wiki phrases.
  * Unset executable bit on svg file.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 28 May 2012 17:47:16 +0200

sugar-calculate-activity (30-5) unstable; urgency=low

  * Add patch, and stop using quilt (unneeded with new source format,
    and Sugar not backportable to Etch anyway). Stop build-depending on
    quilt or patchutils. Stop mentioning quilt in README.source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Nov 2009 17:16:04 +0100

sugar-calculate-activity (30-4) unstable; urgency=low

  * Switch to source format 3.0 (quilt).
  * Restructure patch to DEP3 format: Add meta-info; drop leading number
    and README.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Nov 2009 10:18:54 +0100

sugar-calculate-activity (30-3) unstable; urgency=low

  * Update python-sugar.mk to replace superfluous COPYING files with
    symlinks.
  * Drop COPYING removal (python-sugar.mk replaces with symlink now).
  * Fix python-sugar.mk to include both simple and versioned activity
    packages in DEB_PYTHON_SUGAR_PACKAGES by default. This fixes
    sugar-calculate-activity virtually empty binary package, and closes:
    bug#552332, thanks to Sascha Silbe.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Oct 2009 19:24:50 +0100

sugar-calculate-activity (30-2) unstable; urgency=low

  * Update CDBS snippets:
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix and tighten sugar-related (build-)dependencies to known working
    branches.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 12:27:59 +0200

sugar-calculate-activity (30-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 1002 and 2002 now obsolete (sharedstate no longer used
    upstram).
  * Update dependencies:
    + Handle binary (not only source) dependencies in rules file.
    + Tighten build-ependency on debhelper.
    + Tighten Sugar-related dependencies to 0.84 branch.
    + Depend on python-dbus and python-telepathy, and drop dependency on
      sugar-sharedstate-classes.
    + Depend on python-rsvg (with librsvg2-common and old
      python-gnome2-desktop as fallbacks).
    + Recommend python-matplotlib.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Add git-buildpackage configfile, enable signed-tags and use of
    pristine-tar.
  * Add README.source. Drop README.cdbs-tweaks, README.packaging and
    CDBS hints in debian/rules.
  * Update copyright and licensing info:
    + Add proper copyright header to debian/rules.
    + Rewrite debian/copyright using DEP5 rev54 machine-readable format.
    + Ignore PO-files with bogus copyright info. Fix years of po/pl.po
      and debian/*.
  * Fix Homepage URL.
  * Bump up policy compliance to standards version 3.8.3.
  * Drop superfluous COPYING file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Sep 2009 19:03:13 +0200

sugar-calculate-activity (25-2) unstable; urgency=low

  * Adjust DEB_UPSTREAM_URL (standard Sugar naming used now).
  * Extend patch 2002 to strip sharedstate files from MANIFEST.
  * Update local CDBS snippets:
    + Really install into right path. Closes: 485233.
    + Fix install Sugar activitites by their non-localized name.
    + Dynamically update locale entries in MANIFEST.
  * Semi-auto-update debian/control to tighten build-dependencies.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Dec 2008 21:41:45 +0100

sugar-calculate-activity (25-1) unstable; urgency=low

  * New upstream release.
  * Update copyright-check (no new owners or copyrights).
  * Revert standards version to 3.7.3 (README.source needed to comply
    with 3.8.0).
  * Drop patch 1004, fixed upstream.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Dec 2008 15:52:39 +0100

sugar-calculate-activity (23-2) unstable; urgency=low

  [ Jonas Smedegaard ]
  * Depend on ${misc:Depends}.

  [ Luke Faraone ]
  * Install activity in the right path. (Closes: #485233)

  [ Holger Levsen ]
  * Bump standards version to 3.8.0, no changes needed.
  * Add myself to uploaders.
  * Add patch 1004 to fix po/ne.po, else it FTBFS.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Oct 2008 11:58:04 +0200

sugar-calculate-activity (23-1) unstable; urgency=low

  * New upstream release.
  * Drop patches 1001 and 2002 no longer relevant.
  * Add patch 2002 to use packaged sharedstate (not git-clone it).
  * Update cdbs snippets:
    + Use new upstream-tarball.mk to implement get-orig-source target
      and more.
    + Fix python-sugar.mk to work with recent python-sugar-toolkit where
      MANIFEST files are ignored and an internal hardcoded exception
      list is used instead.  Tighten build-dependency.
    + Relax copyright-check to only warn about its discoveries.  See
      bug#486975 for more info.
    + Move dependency cleanup to new local snippet package-relations.mk.
    + Update copyright-check output to more closely match proposed new
      copyright file format.  Update copyright-hints.
    + Update README.cdbs-tweaks.
  * Add DEB_MAINTAINER_MODE in debian/rules (thanks to Romain Beauxis).
  * Semi-auto-update debian/control to update dependencies:
    DEB_MAINTAINER_MODE=1 fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Aug 2008 22:05:01 +0200

sugar-calculate-activity (19~git.20080323.dfsg-2) unstable; urgency=low

  * Update cdbs tweaks:
    + Strip any non-printable characters in copyright-check.mk.
    + Drop wget options broken with recent versions of wget in
      update-tarball.mk.
    + Clean *.xo and locale in python-sugar.mk (based on initial work by
      Santiago Ruano Rincón).
    + Fix preserve upstream MANIFEST files only once in python-sugar.mk.
    + Support multiple activity packages from one source in
      python-sugar.mk.
    + Relax python-central and python-support build-dependencies in
      python-sugar.mk.
    + Fix simultanously setting DEB_PYTHON_SUGAR_MANIFEST and
      DEB_PYTHON_SUGAR_MANIFEST_REGEX in python-sugar.mk.
    + Clean *.xo and locale in python-sugar.mk (based on initial work by
      Santiago Ruano Rincón).
    + Tighten python-sugar.mk build-dependency on python-sugar-toolkit
      to versions using full path and also properly installing zip-based
      bundles (*.xo files).
  * Add patch 1003 adding danish l10n.
  * Bump debhelper compatibility level to version 6.
  * Semi-auto-update debian/control to update build-dependencies:
      DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Apr 2008 09:48:13 +0200

sugar-calculate-activity (19~git.20080323.dfsg-1) unstable; urgency=low

  * Repackage with bogusly copyrighted translation files stripped.
  * Update debian/copyright (more copyright holders, same license).
  * Update copyright-check.mk cdbs snippet to newline-separate hints.
    Update copyright-hints.
  * Add patch 2001 to strip stripped po-files from MANIFEST.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Apr 2008 22:37:26 +0200

sugar-calculate-activity (19~git.20080323-1) unstable; urgency=low

  * Initial release. Closes: bug#444021.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2008 21:24:31 +0100
